Fedora 29 ~ XAMPP: Error While Loading Shared Libraries

Seperti yang sudah saya tulis sebelumnya, kita dapat menikmati berbagai macam hal yang baik setelah melakukan peningkatan versi sistem operasi. Namun, bukan berarti semuanya akan berjalan dengan baik-baik saja. Contohnya, dan selalu terjadi ketika dilakukan peningkatan versi, adalah XAMPP. Pada peningkatan versi dari GnU/Linux Fedora 27 ke 28, ada masalah terkait versi arsitektur. Permasalah kembali terjadi setelah saya melakukan peningkatan versi dari GnU/Linux Fedora 29 ke 29.

Apa yang menjadi masalah? Kali ini, muncul pesan seperti ini:
error while loading shared libraries
Pustaka berbagi yang bermasalah muncul dalam dua tampilan:

  1. libdll.so.2, ketika saya melakukan pemeriksaan apakah layanan XAMPP sudah jalan atau belum; kemudian
  2. libc.so.d. Muncul ketika saya mencoba menjalankan layanan XAMPP.

Cukup lama sampai akhirnya saya menemukan satu solusi yang...saya juga nggak paham efeknya seperti apa ke depan nanti, tapi pada akhirnya XAMPP yang saya pasangkan bisa berfungsi dengan baik. Solusinya seperti ini:
open /opt/lamp/lamp in text editor

comment line 436:
#export LD_ASSUME_KERNEL=2.2.5

and uncomment 437:
echo "XAMPP: DISABLE PNTL..."
Saya cukup melakukan sampai poin yang saya munculkan di atas. Karena ada satu baris solusi lain yaitu:
or simply insert the correct version of the kernel in line 436:
export LD_ASSUME_KERNEL=3.10.7
Gitu sich. Sejauh ini...mari kita pantau, bagaimana perkembangannya :). Jadi, semua senang, semua riang.

Semoga membantu dan selamat berbagi.


Bahan bacaan:

  1. https://community.apachefriends.org/f/viewtopic.php?f=17&t=60926 

 

Komentar

Postingan Populer